Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80304 - Older version of iptables
Summary: Older version of iptables
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: iptables
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-24 10:04 UTC by Indrajit Raychaudhuri
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 21:56:48 UTC


Attachments (Terms of Use)
iptables src.rpm including several bug-fixes and enhancements (deleted)
2002-12-24 18:49 UTC, Michael Schwendt
no flags Details
iptables src.rpm including several bug-fixes and enhancements (deleted)
2002-12-24 19:11 UTC, Michael Schwendt
no flags Details

Description Indrajit Raychaudhuri 2002-12-24 10:04:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Older version (1.2.6a-3) of iptables has been included.
The most recent version of iptables is 1.2.7a.

From the changelog of the included rpm it doesn't appear that the 1.2.7a changes
have been incorporated.

We would love to have the newer version included.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run rpm -qa | grep iptables


Actual Results:  iptables-1.2.6a-3
iptables-ipv6-1.2.6a-3


Expected Results:  iptables-1.2.7a-xx
iptables-ipv6-1.2.7a-xx


Additional info:
See http://www.iptables.org/files/changes-iptables-1.2.7a.txt

Comment 1 Michael Schwendt 2002-12-24 17:33:20 UTC
I second this and at the same time like to point out that 1.2.6a contains
several bugs and problems. Most (or all) of them have been fixed in older bug
reports for either Psyche and Valhalla as well as upstream. But no one from Red
Hat seems to take notice:

https://bugzilla.redhat.com/bugzilla/buglist.cgi?product=Red+Hat+Linux&version=7.2&version=7.3&version=8.0&component=iptables&bug_status=NEW&bug_status=VERIFIED&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=RESOLVED&bug_status=CLOSED&bug_status=NEEDINFO&bug_status=MODIFIED&email1=&emailassigned_to1=1&email2=&emailreporter2=1&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&short_desc=&long_desc=&bug_file_loc=&status_whiteboard=&cmdtype=doit&newqueryname=&order=Bug+Number+Ascending&form_name=query

While Red Hat Linux 7.x uses ipchains, 8.x uses iptables and hence should ship
with a well-maintained iptables package.


Comment 2 Michael Schwendt 2002-12-24 18:49:51 UTC
Created attachment 88894 [details]
iptables src.rpm including several bug-fixes and enhancements

Comment 3 Michael Schwendt 2002-12-24 19:11:02 UTC
Created attachment 88895 [details]
iptables src.rpm including several bug-fixes and enhancements

Forgot including the fixed initscripts upon transferring the patches from my
Valhalla package.

Comment 4 Bill Nottingham 2003-01-13 21:56:48 UTC
bugfixes integrated into 1.2.7a-1. Enhancements left out for now.


Note You need to log in before you can comment on or make changes to this bug.